From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-biology/bcftools/
Date: Tue, 27 Dec 2022 00:06:52 +0000 (UTC) [thread overview]
Message-ID: <1672099606.01090e63f3067303d6ca41e5bbea8b890bbab7b6.soap@gentoo> (raw)
commit: 01090e63f3067303d6ca41e5bbea8b890bbab7b6
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 27 00:06:46 2022 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 27 00:06:46 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01090e63
sci-biology/bcftools: add 1.16
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-biology/bcftools/Manifest | 1 +
sci-biology/bcftools/bcftools-1.16.ebuild | 42 +++++++++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/sci-biology/bcftools/Manifest b/sci-biology/bcftools/Manifest
index 4dbacdb4a399..af5f3f40dd8b 100644
--- a/sci-biology/bcftools/Manifest
+++ b/sci-biology/bcftools/Manifest
@@ -1 +1,2 @@
DIST bcftools-1.15.1.tar.bz2 6917252 BLAKE2B d2389df8d2a1bbc48fcaccad47d77ff99d700e82e04330189e7d93acdac97a13506c2b799fbba31bdc0988977c7df7c699e7b156f3530dd35e5f052c6f977731 SHA512 60fedacc41051675d372e68146ac8fa0dc019a7fb694fda487d89e62f34edaf5ac11cca38779e9bcfcf8b3148802fadabed12f7e46ad534ad5087b8d6383f97b
+DIST bcftools-1.16.tar.bz2 7325862 BLAKE2B 0e1240448d4efb352d3d0cd83decd286f7544fff3676f0a5cca51dec9c445c47c37ac24a3317aa7b41182c576e7e57dba460fc98aca069dc2f8fe0625c0b0f06 SHA512 998d5ac941f73798c35dd1db7ac7aba9067f275bd3055728aabfd8edd9f40484130df1fb57621d1a762a57b28ffcac358570915c341d420ae6f12bd17f7651a3
diff --git a/sci-biology/bcftools/bcftools-1.16.ebuild b/sci-biology/bcftools/bcftools-1.16.ebuild
new file mode 100644
index 000000000000..eeb9a7c890b7
--- /dev/null
+++ b/sci-biology/bcftools/bcftools-1.16.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit python-single-r1
+
+DESCRIPTION="Utilities for variant calling and manipulating VCF and BCF files"
+HOMEPAGE="http://www.htslib.org"
+SRC_URI="https://github.com/samtools/${PN}/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ dev-lang/perl
+ $(python_gen_cond_dep 'dev-python/matplotlib[${PYTHON_USEDEP}]')
+ =sci-libs/htslib-$(ver_cut 1-2)*:=
+ sys-libs/zlib
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}"
+
+src_prepare() {
+ default
+
+ python_fix_shebang misc/{gff2gff,guess-ploidy,plot-roh}.py
+
+ # remove bundled htslib
+ rm -r htslib-* || die
+}
+
+src_configure() {
+ econf \
+ --disable-bcftools-plugins \
+ --disable-libgsl \
+ --with-htslib=system
+}
next reply other threads:[~2022-12-27 0:06 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-27 0:06 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-21 14:59 [gentoo-commits] repo/gentoo:master commit in: sci-biology/bcftools/ Nowa Ammerlaan
2024-05-24 8:59 David Seifert
2024-05-24 8:59 David Seifert
2024-03-26 11:06 David Seifert
2023-04-06 19:29 David Seifert
2023-03-30 11:11 David Seifert
2023-02-19 15:44 David Seifert
2022-06-19 8:09 David Seifert
2022-06-10 12:42 David Seifert
2022-03-19 11:38 David Seifert
2021-10-11 14:55 David Seifert
2021-10-03 17:41 David Seifert
2020-08-03 16:56 David Seifert
2020-04-14 8:35 Joonas Niilola
2020-03-27 10:35 David Seifert
2018-01-06 10:19 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1672099606.01090e63f3067303d6ca41e5bbea8b890bbab7b6.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox